import { Base, Stream, Type } from "igniteui-angular-core";
import { IZipFile } from "./IZipFile";
import { List$1 } from "igniteui-angular-core";
import { IZipEntry } from "./IZipEntry";
import { WorkItem$1 } from "./WorkItem$1";
import { WorkItem } from "./WorkItem";
/**
 * @hidden
 */
export declare class ZipFile extends Base implements IZipFile {
    static $t: Type;
    private a;
    private b;
    constructor();
    createFile(fileName: string, directoryName: string, stream: string | Uint8Array): IZipEntry;
    _createFile$i(a: string, b: string, c: Stream): IZipEntry;
    load(stream: string | Uint8Array): WorkItem$1<IZipFile>;
    _load$i(a: Stream): WorkItem$1<IZipFile>;
    readonly entries: List$1<IZipEntry>;
    save(stream: string | Uint8Array): WorkItem;
    _save$i(a: Stream): WorkItem;
}
